package com.clx.performance.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.clx.performance.mapper.OwnerRunningWaterRecordMapper;
import com.clx.performance.model.OwnerRunningWaterRecord;
import com.clx.settlement.vo.pc.OwnerAccountRunningWaterRecordVO;
import com.clx.settlement.vo.pc.PageOwnerMarginAccountParam;
import com.clx.settlement.vo.pc.PageOwnerPrepaidFreightAccountParam;
import com.msl.common.dao.BaseDao;

public interface OwnerRunningWaterRecordDao extends BaseDao<OwnerRunningWaterRecordMapper, OwnerRunningWaterRecord, Integer> {


    IPage<OwnerAccountRunningWaterRecordVO> marginAccountPageList(PageOwnerMarginAccountParam param);

    IPage<OwnerAccountRunningWaterRecordVO> prepaidFreightAccountPageList(PageOwnerPrepaidFreightAccountParam param);
}
