package com.clx.performance.dao.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.clx.performance.dao.OwnerAccountDao;
import com.clx.performance.mapper.OwnerAccountMapper;
import com.clx.performance.model.OwnerAccount;
import com.clx.settlement.params.PageOwnerAccountListParam;
import com.clx.settlement.vo.pc.OwnerAccountRunningWaterRecordVO;
import com.clx.settlement.vo.pc.OwnerAccountVO;
import com.clx.settlement.vo.pc.PageOwnerMarginAccountParam;
import com.msl.common.dao.impl.BaseDaoImpl;
import org.springframework.stereotype.Repository;

@Repository
public class OwnerAccountDaoImpl extends BaseDaoImpl<OwnerAccountMapper, OwnerAccount, Integer> implements OwnerAccountDao {

    @Override
    public IPage<OwnerAccountVO> pageList(PageOwnerAccountListParam param) {
        Page<OwnerAccountVO> page = Page.of(param.getPage(), param.getPageSize());
        return baseMapper.pageList(page, param);

    }


}
